Bug 1971068 - Removing invalid AWS instances from the CF templates
Summary: Removing invalid AWS instances from the CF templates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.8.0
Assignee: Patrick Dillon
QA Contact: Yunfei Jiang
URL:
Whiteboard:
Depends On:
Blocks: 1971163
TreeView+ depends on / blocked
 
Reported: 2021-06-11 20:06 UTC by Kathryn Alexander
Modified: 2021-07-27 23:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:12:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4990 0 None open bug 1971068: Updating AWS instance types 2021-06-11 20:20:16 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:12:57 UTC

Description Kathryn Alexander 2021-06-11 20:06:48 UTC
Thanks for opening a bug report!
Before hitting the button, please fill in as much of the template below as you can.
If you leave out information, it's harder to help you.
Be ready for follow-up questions, and please respond in a timely manner.
If we can't reproduce a bug we might close your issue.
If we're wrong, PLEASE feel free to reopen it and explain why.

Version:

4.7

Platform:

AWS

Please specify:

UPI

What happened?

As part of a followup to docs bug https://bugzilla.redhat.com/show_bug.cgi?id=1878374, it was pointed out by a customer that m4.8xlarge and m5.10xlarge instance types don't exist. We need to update the CF templates to make sure the doc changes propagates correctly (and to correct the installer).


Anything else we need to know?

The PR for /installer is here: https://github.com/openshift/installer/pull/4990
The PR for /openshift-docs is here: https://github.com/openshift/openshift-docs/pull/33358

After the installer PR is merged, I'll merge the docs change.

Comment 2 Yunfei Jiang 2021-06-15 03:12:39 UTC
Added comments in https://github.com/openshift/openshift-docs/pull/33358

Comment 3 Kathryn Alexander 2021-06-15 12:19:11 UTC
The docs change is dependent on the installer changes merging. The main installer change (https://github.com/openshift/installer/pull/4990) has merged, and I'm waiting for the cherrypick to 4.7 (https://github.com/openshift/installer/pull/4992) to clear CI.

Comment 5 Yunfei Jiang 2021-06-16 01:37:29 UTC
Checked 4.8 code, it is up to date. 
Once PR4992 (https://github.com/openshift/installer/pull/4992) get merged, I will set to `VERIFIED`.

Comment 6 Yunfei Jiang 2021-06-16 01:40:04 UTC
VERIFIED for 4.8.

there is another bug https://bugzilla.redhat.com/show_bug.cgi?id=1971163  for tracking 4.7 issue.

Comment 9 errata-xmlrpc 2021-07-27 23:12:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.